Apple OS X Lion (10.7) Officially Released – Can I Use It?

Apple’s new operating system release is a significant shift in the functionality and scope of OS X. Unfortunately, it also brings with it some significant changes in system requirements and compatibility issues concerning older applications. Many older programs and some machines that run older operating systems will not be able to run in Lion. We will review more details about this topic at our next meetings (August and September).

In the meantime, take a look at our current Apps & Traps tab. There is also a web site that provides important information about application compatibility. Most popular apps are tracked with some specific details regarding issues, bugs, updates etc. This can be helpful to determine if you should upgrade now or wait. The site is:

http://roaringapps.com/

About SGVAUG BlogMaster

San Gabriel Valley Apple Users Group
This entry was posted in General. Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>